rte_crypto_ecpm_op_param(3)

NAME
rte_crypto_ecpm_op_param

SYNOPSIS

#include <rte_crypto_asym.h>

  Data Fields

struct rte_crypto_ec_point p
struct rte_crypto_ec_point r
rte_crypto_param scalar

Detailed Description

Structure for EC point multiplication operation param

Definition at line 660 of file rte_crypto_asym.h.

Field Documentation

  struct rte_crypto_ec_point p
x and y coordinates of input point

Definition at line 661 of file rte_crypto_asym.h.

  struct rte_crypto_ec_point r
x and y coordinates of resultant point

Definition at line 664 of file rte_crypto_asym.h.

  rte_crypto_param scalar
Scalar to multiply the input point

Definition at line 667 of file rte_crypto_asym.h.

Author

Generated automatically by Doxygen for DPDK from the source code.